TauModelLoader (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauModelLoader

Package edu.sc.seis.TauP

# Class TauModelLoader

java.lang.Object
edu.sc.seis.TauP.TauModelLoader

    public class TauModelLoader
    extends java.lang.Object

static class that loads a tau model, after searching for it. It can be extended to change the search mechanism.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.lang.String` | `packageName` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TauModelLoader()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `clearCache()` |
  `static TauModel` | `internalLoad​(java.lang.String modelName, java.lang.String searchPath, boolean verbose)` |
  `static TauModel` | `load​(java.lang.String modelName)` |
  `static TauModel` | `load​(java.lang.String modelName, java.lang.String searchPath)` | Reads the velocity model, slowness model, and tau model from a file saved using Java's Serializable interface.
  `static TauModel` | `load​(java.lang.String modelName, java.lang.String searchPath, boolean verbose)` |
  `protected static TauModel` | `loadFromCache​(java.lang.String modelName)` |
  `static VelocityModel` | `loadVelocityModel​(java.lang.String modelName)` |
  `static VelocityModel` | `loadVelocityModel​(java.lang.String modelName, java.lang.String fileType)` | Loads velocity mode, either by name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### packageName

    protected static java.lang.String packageName

- ## Constructor Details

  - ### TauModelLoader

    public TauModelLoader()

- ## Method Details

  - ### load

    public static TauModel load​(java.lang.String modelName) throws TauModelException
    Throws:
      `TauModelException`

  - ### load

    public static TauModel load​(java.lang.String modelName, java.lang.String searchPath) throws TauModelException
    Reads the velocity model, slowness model, and tau model from a file saved using Java's Serializable interface.
    Throws:
      `TauModelException`

  - ### load

    public static TauModel load​(java.lang.String modelName, java.lang.String searchPath, boolean verbose) throws TauModelException
    Throws:
      `TauModelException`

  - ### internalLoad

    public static TauModel internalLoad​(java.lang.String modelName, java.lang.String searchPath, boolean verbose) throws TauModelException
    Throws:
      `TauModelException`

  - ### loadVelocityModel

    public static VelocityModel loadVelocityModel​(java.lang.String modelName) throws java.io.IOException, VelocityModelException
    Throws:
      `java.io.IOException`
      `VelocityModelException`

  - ### loadVelocityModel

    public static VelocityModel loadVelocityModel​(java.lang.String modelName, java.lang.String fileType) throws java.io.IOException, VelocityModelException
    Loads velocity mode, either by name. Looking inside jar for standard models, as file from current directory.
    Parameters:
      `modelName` - name of model or file name
    Returns:
    Throws:
      `java.io.IOException`
      `VelocityModelException`

  - ### loadFromCache

    protected static TauModel loadFromCache​(java.lang.String modelName)

  - ### clearCache

    public static void clearCache()